Bug 436856 - nautilus ignores umask when creating new files
nautilus ignores umask when creating new files
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nautilus (Show other bugs)
4.8
All Linux
low Severity high
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 15:45 EDT by Dave Botsch
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-02 13:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Botsch 2008-03-10 15:45:25 EDT
Description of problem:
if one sets a umask in /etc/profile, nautilus will respect this umask when
creating a new folder. However, when creating a new file, nautilus ignores the
umask and always creates with perms 0600


Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
100% of time


Steps to Reproduce:
1. Set a umask in /etc/profile (eg 000)
2. In nautilus, right click and select Create - Empty File

  
Actual results:
New file has mode 0600

Expected results:
New file has some other mode depending on the umask setting

Additional info:

Note You need to log in before you can comment on or make changes to this bug.